<?php

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit;
}

class WC_Nomod_Messages
{

    private static function get_messages()
    {
        return [
            'no_customer' => __('Oops, something went wrong while creating a new customer. Please try again in a while, or contact our support team for further assistance.', 'nomod-for-woocommerce'),
            'no_payment_link' => __('Oops, something went wrong while generating your payment link. Please try again, or contact our support team for further assistance.', 'nomod-for-woocommerce'),
            'network_error' => __('Oops, something went wrong with your network connection. Please try again in a while, or contact our support team for further assistance.', 'nomod-for-woocommerce'),
            'something_wrong' => __('Oh no, something went wrong. Please try again in a while, or contact our support team for further assistance.', 'nomod-for-woocommerce'),
            'server_error' => __("Oops, you weren't able to connect to the server. Please check your internet connection and try again.", 'nomod-for-woocommerce'),
            'unsupported_currency' => __("Sorry! This currency isn't currently supported. Please choose a different currency.", 'nomod-for-woocommerce'),
            'payment_failed' => __("Sorry! Your payment’s failed. Please try again or use a different payment method.", 'nomod-for-woocommerce'),
            'empty_api_key' => __("Oh no, the Nomod API key can’t be empty. Please enter a valid API key and try again.", 'nomod-for-woocommerce'),
            'invalid_api_key' => __("Oops, the Nomod API key is invalid. Please enter a valid API key and try again.", 'nomod-for-woocommerce'),
            'empty_title' => __("Oops! Looks like you forgot to add a title. Give it a name to continue!", 'nomod-for-woocommerce'),
            'invalid_title' => __("Whoa, that title is a bit too long! Try keeping it shorter so it fits nicely.", 'nomod-for-woocommerce'),
        ];
    }

    public static function get_message($key)
    {
        $messages = self::get_messages();
        return isset($messages[$key]) ? $messages[$key] : null;
    }
}
